cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral

## Class RPA_I09

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral.RPA_I08_Common
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral.RPA_I09

-     public final class RPA_I09
      extends RPA_I08_Common

  RPA_I09 - Response for Modification to an Authorization (Event I09). This message is use to request for treatment authorization. Although this message also related to the payor, it differs greatly from that of an insurance information request.

  Represents a RPA_I08 message structure (see chapter 11.4.3). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: MSA (Message Acknowledgment Segment) SINGLE_COMPULSARY
  4: RF1 (Referral Information Segment) SINGLE_OPTIONAL
  5: AUTHORIZATION_1 (a Group in RPA_I08 message) SINGLE_OPTIONAL
  6: PROVIDER (a Group in RPA_I08 message) MULTIPLE_COMPULSARY
  7: PID (Patient Identification Segment) SINGLE_COMPULSARY
  8: NK1 (Next of Kin / Associated Parties Segment) MULTIPLE_OPTIONAL
  9: GT1 (Guarantor Segment) MULTIPLE_OPTIONAL
  10: INSURANCE (a Group in RPA_I08 message) MULTIPLE_OPTIONAL
  11: ACC (Accident Segment) SINGLE_OPTIONAL
  12: DG1 (Diagnosis Segment) MULTIPLE_OPTIONAL
  13: DRG (Diagnosis Related Group Segment) MULTIPLE_OPTIONAL
  14: AL1 (Patient Allergy Information Segment) MULTIPLE_OPTIONAL
  15: PROCEDURE (a Group in RPA_I08 message) MULTIPLE_COMPULSARY
  16: OBSERVATION (a Group in RPA_I08 message) MULTIPLE_OPTIONAL
  17: VISIT (a Group in RPA_I08 message) SINGLE_OPTIONAL
  18: NTE (Notes and Comments Segment) MULTIPLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  RPA_I09 objI09 = (RPA_I09)MessageFactory.createInstance().createSendSupportedMessage("RPA", "I09");

- - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral.RPA_I08_Common

      `addAllergyInformationSegment, addAllergyInformationSegments, addDiagnosisRelatedGroupSegment, addDiagnosisRelatedGroupSegments, addDiagnosisSegment, addDiagnosisSegments, addGuarantorSegment, addGuarantorSegments, addInsuranceGroup, addInsuranceGroups, addNextOfKinSegment, addNextOfKinSegments, addNotesAndCommentsSegment, addNotesAndCommentsSegments, addObservationGroup, addObservationGroups, addProcedureGroup, addProcedureGroups, addProviderGroup, addProviderGroups, addSoftwareSegment, addSoftwareSegment, getAccidentInformationSegment, getAllergyInformationSegments, getAuthorizationGroup, getDiagnosisRelatedGroupSegments, getDiagnosisSegments, getGuarantorSegments, getInsuranceGroups, getMessageAcknowledgmentSegment, getNextOfKinSegments, getNotesAndCommentsSegments, getObservationGroups, getPatientIdentificationSegment, getProcedureGroups, getProviderGroups, getReferralInformationSegment, getSoftwareSegments, getUserAuthenticationCredentialSegment, getVisitGroup, setAccidentInformationSegment, setAuthorizationGroup, setMessageAcknowledgmentSegment, setPatientIdentificationSegment, setReferralInformationSegment, setUserAuthenticationCredentialSegment, setVisitGroup`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`